Subject: Re: bug#40542: wip-hurm-vm build failure

From: Bengt Richter <[email-masked]>
Date: Tue, 14 Apr 2020 18:57:55 +0200

Hi Janneke,

On +2020-04-14 07:46:48 +0200, Jan Nieuwenhuizen wrote:
> Christopher Howard writes:
> 
> > I'm having some trouble playing around with the VM, because a lot of
> > weird things are happening with keyboard input into the qemu
> > window. It seems like the meta keys (shift, ctrl, alt, super) are
> > behaving in strange ways, or that terminal state is getting corrupted
> > somehow. E.g., sometimes shift key stops working, or the cursors jumps
> > up to the middle of the screen, or text gets garbled.
> 
> Since yesterday I've been seeing that too.  I'm pretty sure that if you
> build a VM from core-uupdates, the console is fine.
> 
> I haven't looked into the details of the console/tty setup, so I must
> have messed-up something.  Sorry!

Could it be a sensitive touch-pad? (are there configs to adjust triggering on motion?)
(I have to disable mouse/touchpad input to edit unless I'm super careful
not to brush it with my sleeve or palm)

> 
> Meanwhile we do have ssh login :-)
> 
> The startup now goes like this
> 
>     startup -> runsystem -> init -> runsystem.hurd -> rc -> shepherd
> 
> and; i would like to move towards
> 
>     -startup -> rc -> shepherd
> 
> if that's possible.
> 
> Greetings,
> janneke
> 
> -- 
> Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
> Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com
> 
> 
> 
-- 
Regards,
Bengt Richter